PDA

View Full Version : Patch order - entire game series. Make sure you have it right!



Tully__
10-31-2005, 11:06 PM
Courtesy of Skycat_2:

Complete IL-2 Series patch order

If you have the original version of IL-2 Sturmovik, then you need (http://www.il2sturmovik.com/games_elts/updates.php):
- il2upgrade_1.1a.exe (ftp://ftp.ubisoft.com/games/il2sturmovik/patches/il2upgrade_1.1a.exe)
- il2upgrade_1.2.exe (ftp://ftp.ubisoft.com/games/il2sturmovik/patches/il2upgrade_1.2.exe)
- il2upgrade_1.2ov.exe (ftp://ftp.ubisoft.com/games/il2sturmovik/patches/il2upgrade_1.2ov.exe) (optional)

If you have only Forgotten Battles, then you need (http://ubisoft.custhelp.com/cgi-bin/ubisoft.cfg/php/enduser/std_adp.php?p_faqid=8973&p_created=1074545228):
- il2_fb_v1.0_to_v1.22.exe (http://patches.ubi.com/il2_forgotten_battles/il2_fb_v1.0_to_v1.22.exe)

If you have Ace Expansion pack, install it over any version of FB. Then you will need (http://www.il2sturmovik.com/games_elts/fb_updates.php):
- il2_aep_v2.01.exe (http://patches.ubi.com/il2_forgotten_battles/il2_fb_aep_v2.01.exe)
- il2_aep_v2.04.exe (http://patches.ubi.com/il2_forgotten_battles/il2_fb_aep_v2.04.exe)

If you have Pacific Fighters and you want to install over FB+AEP (you need both), you can install over v2.0, 2.01 or 2.04. Then you will need (http://www.pacific-fighters.com/en/updates.php):
- pf_v303m.exe (http://patches.ubi.com/pacific_fighters/pf_v303m.exe) (100 Mb; goes over v3.0m)
- pf_v401m.exe (http://patches.ubi.com/pacific_fighters/pf_v401m.exe)
- pf_v402m.exe (http://patches.ubi.com/pacific_fighters/pf_v402m.exe)
- pf_403m.exe (http://patches.ubi.com/pacific_fighters/pf_403m.exe)
- pf_404m.exe (http://patches.ubi.com/pacific_fighters/pf_404m.exe)

If you have Pacific Fighters installed as a 'stand alone' sim, you will need:
- pf_v303.exe (http://patches.ubi.com/pacific_fighters/pf_v303.exe) (100 Mb; goes over v3.0)
- pf_v401.exe (http://patches.ubi.com/pacific_fighters/pf_v401.exe)
- pf_v402.exe (http://patches.ubi.com/pacific_fighters/pf_v402.exe)
- pf_403.exe (http://patches.ubi.com/pacific_fighters/pf_403.exe)
- pf_404.exe (http://patches.ubi.com/pacific_fighters/pf_404.exe)

<span class="ev_code_yellow">Added January 2009:</span>
If you have the <span class="ev_code_RED">IL2 Sturmovik 1946 DVD</span> (Version 4.07m, which is FB-AEP-PF combined, with PE-2, Manchuria and 1946 addons included)
- Patch to 4.08m 1946 4.08m (http://www.ubi.com/US/Downloads/DownloadFile.aspx?dfId=4381)
- And a patch in Beta stage: 1946 4.09b1m (http://mission4today.com/index.php?name=Downloads&get=3199&mirror=4737) (Not an offical one yet, that's why this link goes to Mission4Today's download)
- Skinpack belonging to Beta patch 4.09b1m: 1946 Skins for 4.09b1m (http://www.mission4today.com/index.php?name=Downloads&get=3200&mirror=4738)

<span class="ev_code_YELLOW">For any problems not already addressed in this thread, post in the Community Help Forum (http://forums.ubi.com/eve/forums?a=corfrm&cf=49310655) .</span>
All links are from Ubi.com ftp servers.


<span class="ev_code_YELLOW">-----------------------------</span>

<span class="ev_code_yellow">NEW ADDITION: MERGED VERSION DEDICATED SERVER PATCH ORDER:</span>

Go here:

ubi.com FTP server (http://ftp.ubi.com/us/games/pacific_fighters/dedicated_servers/)

and get the files named:

pf_dedicated_server_v204.exe (410MB)
pf_dedicated_server_v204_to_v303m.exe (245MB)
pf_dedicated_server_v304m.exe (20MB)
pf_dedicaded_server_v401m.exe (73.1MB)
pf_dedicated_server_v402m.exe (27.7MB)
pf_dedicated_server_v403m.exe (44.4MB)
pf_dedicated_server_v404m.exe (23.1MB)

Install in the above order.

<span class="ev_code_yellow">Added January 2009:</span>
Mission 4 Today also hosts the above Dedicated Server patches, as well as later patches (upto 4.08m), and even a download set to get from 2.04m to 2.08m:
Dedicated Server patches at Mission4Today (http://mission4today.com/index.php?name=Downloads&c=575)

And here's the Dedicated Server Easy Setup Guide (http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m/692106434/p/1)

(January 2009, by FT: Thanks go to wheelsup_cavu, for pointing out errors and missing items in this thread)

Kuna15
11-01-2005, 12:48 AM
This is good, because there were/are many threads and questions about this.
Good that this is finally all in one place http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif.

tsisqua
11-01-2005, 08:06 AM
Thanks!!

The machine here at work doesn't have a burner, and still no high speed at home http://forums.ubi.com/groupee_common/emoticons/icon_frown.gif , so no 4.02 for me, yet. My wife will get it for me soon, though. Needing it real badly to finish a review for airwarfare.

Tsisqua

DONB3397
11-01-2005, 10:12 AM
Thanks, Tully. After four years of IL2, two pc's, two HDD crashes, and a half-dozen re-installs...I still have to lay out disks like playing cards on the desk (including Patches saved on CDs) every time a re-install is necessary.

Your guide is helpful.

RAF_Aero
11-01-2005, 09:29 PM
Just a question for clairification;

Can I install IL2 FB, then AEP, then PF and then straight to 3.03 patch?

I had an issue tonight where the mission wouldn't load because it said I was missing a Betty, even though i show 2 in my list of aircraft.

Tully__
11-02-2005, 09:56 PM
Originally posted by RAF_Aero:
Just a question for clairification;

Can I install IL2 FB, then AEP, then PF and then straight to 3.03 patch?
Provided it's the 100MB 3.03m patch intended for use over the box v3.0 merged version. If you get the 56MB 3.01 to 3.03 patch you'll find missing cockpits are a problem....

bigw0rm
11-12-2005, 03:24 PM
Will someone clear this up for me. I currently own Forgotten Battles and the Ace expansion pack but do not own Pacific Fighters.

I haven't played Il-2 forogotten battles for a few years now, but finally got a good video card and rig to play on and I would like to get back to playing multiplayer online.

Are the majority of servers running NOW using the Pacific Fighters expansion + FB + Ace?

Or are they just using the Pacific Fighters stand alone with patches?

When I scan ASE I think the majority of servers are running 4.02?

So I'm guessing the best bet is just to buy the stand alone Pacific fighters and install the latest patch for that and that will allow me to play with people using FB + ACE?

Will the standalone + patch with Pacific Fighters contain all the planes from FB + Ace?

please someone clear this up.

thanks.
w0rm

Tully__
11-13-2005, 01:28 PM
Majority of online servers are merged FB + AEP + PF + merged patches.

The standalone PF + Patches only contains Pacific Theatre planes & maps, you'll need to do a merged install for the full complement of aircraft.

If you already have FB/AEP installed, you have several choices.

1. Install PF merged over the current install.

2. Copy the current install to retain an FB/AEP only install then add PF to the original location of FB/AEP

3/4. the first two choices plus an standalone install. PF installer allows you to both a merged and standalone if you choose.

bigw0rm
11-13-2005, 07:32 PM
Originally posted by Tully__:
Majority of online servers are merged FB + AEP + PF + merged patches.


went out and bought Pacific Fighters today...just a matter of clearing off some HD space and I'll load them all up.

so can I just now install all three CDs ontop of each other (PF as expansion) and then just get what patches?

these?

- pf_v303m.exe (100 Mb; goes over v3.0m)
- pf_v401m.exe
- pf_v402m.exe

or do I need to go threw each patch for each expansion.

GAU-8
11-15-2005, 04:22 AM
bigwOrm,

its just like you stated

install > FB > AEP > PF > 303M > 401M > 402M.

in that order. your done http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

EDIT !!!!!
<span class="ev_code_RED">
3.03m file on this site is FUBAR! do NOT USE IT! find another site hosting 3.03m to download!</span>

GAU-8
11-16-2005, 02:26 AM
the PF303M link file above is BAD..its missing a SFS.. or CRC file (it tells you whats messed up in the extraction) .i D/L it last night 3 or 4 times thinkin it was me, then i went to filefront or someplace as a last ditch resort, and i didnt get the error played. please check the actual file.

dbuff
11-16-2005, 02:10 PM
i was about to buy PF , is that pf303m problem gonna stop me from loading all the patches?

GAU-8
11-17-2005, 04:52 AM
dbuff.

only if you click on the actual link that is above (pf 303m.exe.) if you go to gamers hell, or any other network D/L gaming community, they will have it without the broken CRC, or SFS file (or whatever it was). for some reason its only the one hosted HERE at UBI that has this problem. the rest here are good though.

Skycat_2
11-24-2005, 09:41 PM
I always download the upgrades from the UbiSoft server and I didn't have a problem with the 3.03m back when I got it. I suppose that it is possible the file was somehow replaced with a bad one so I won't argue.

vincemagda
11-26-2005, 11:32 PM
Have just bought PF. MUst I patch 3.03, then 4.01 then 4.02? or can I go straight to 4.02?

I'm having problems downloading 3.03 though.

Skycat_2
11-27-2005, 02:34 PM
You need all three.

capt_frank
12-04-2005, 12:01 PM
ok, to make this perfectly clear for us that use bifocals...

for those who have the entire series, it's...

IL2 then FB then AEP then PF then 3.03m then 4.01m then 4.02m...?

thanks

capt_frank
12-04-2005, 01:03 PM
looks like i can drop the original IL2 from the list...

anyway, after loading FB then AEP, i can't load the merged install of PF into FB/AEP cause the option is greyed out when i insert the PF disk.

i've never had this problem before...

any ideas?

thanks

capt_frank
12-05-2005, 06:59 AM
nevermind.... http://forums.ubi.com/images/smilies/16x16_smiley-wink.gif

BradC.
12-17-2005, 03:42 AM
I have just recently purchased the Gold Pack of IL2 wich has the AEP and FB Exp. I also have PF which was installed 1st.

I have figured out that you install IL2+FB+AEP 1st then have to install PF over those, then apply only the three 'm' patches. Not all the others. Might want to modify the 1st post to make it clear to everyone.

However, I have campaigns on PF that I dont want to lose. So how do I port those over to the merged game?

GlowHawk
12-18-2005, 08:06 PM
Tully:
What about the 303m to 304m patch before the 401m patch? Isn't that needed?

69th_GlowHawk

Tully__
12-19-2005, 07:52 PM
Originally posted by GlowHawk:
Tully:
What about the 303m to 304m patch before the 401m patch? Isn't that needed?

69th_GlowHawk Not required, though it doesn't hurt to add it if you want to make sure.

Skycat_2
12-21-2005, 12:39 AM
It doesn't hurt, but it doesn't help either. Every file that is in the 3.04 patch is replaced/overwritten by the 4.01 patch.


Originally posted by BradC.:
I have just recently purchased the Gold Pack of IL2 wich has the AEP and FB Exp. I also have PF which was installed 1st.

However, I have campaigns on PF that I dont want to lose. So how do I port those over to the merged game?

Your current 'stand-alone' Pacific Fighters is in a game folder that is separate and differently named that the game directory that is used by Forgotten Battles. Ace Expansion Pack and 'Merged' Pacific Fighters install to the Forgotten Battles root folder. Therefore you can safely install FB+AEP+PF and you will essentially end up with two versions of Pacific Fighters on your harddrive -- your original install of 'standalone' will be unaltered and unaffected.

I don't know if you can port your first PF's campaigns over to 'merged' PF though ... you should probably just start some new campaigns in PF 'merged' while continuing to play your progress in 'standalone.'

Voranni
12-22-2005, 05:15 AM
now do i need to register my game in order for me to get online evan after i have DN patche 3.03,4.01,4.02?? for pacific fighters stand alone??

mike

mlcarter815
12-29-2005, 10:13 AM
I just got the FB Gold pack, do I need the patch for FB or do I just need the two patches for Ace?

Skycat_2
12-29-2005, 11:53 PM
Install all three Gold Pack discs. Ignore the FB patches. Install the two Ace Expansion Pack patches (2.01 and 2.04).

If you are ready to install PF over your Gold Pack as the 'merged version' then you don't need the AEP patches. Install PF as FB+AEP+PF and use the PF 'merged' patches.

mlcarter815
12-30-2005, 08:17 AM
Thanks

Treesqueak
01-02-2006, 06:46 PM
You need to mention Battle over Europe, and where to install it in the list.

Mike

billclarke1
01-05-2006, 09:49 PM
When I reinstall after my monumental **** up with the patch's, it asks me to install direct X 7 or 8 I think, I already have 9, if I say no, will that matter ?

xmun2006
01-11-2006, 01:29 PM
can anyone help me ?? i installed all the patches, and i play the game.. when im in a lot of action the pc just restarts.. ive have taken it to be checked but everything is working fine... Any suggestions ?

banestar
01-12-2006, 10:08 PM
I've purchased the gold pack and pacific fighters. I installed FB, then AEP, then Pacific Fighters (merged). Then I installed the patches up to 4.02m.

When I try to start the game, it tells me it can't find the CD even though it's right there in the drive (I've tried with both the FB and PF discs). Ack! What's going on here??

Skycat_2
01-18-2006, 12:28 AM
Originally posted by Treesqueak:
You need to mention Battle over Europe, and where to install it in the list.


I just received "Battle Over Europe" in the mail, so I'm now familiar with the whole process of installing it. http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif

BOE was released after Forgotten Battles but before Ace Expansion Pack. It still ships as v1.0 and without later BOE updates on the CD-ROM. If you want the most hassle-free install then do it in this order:

Forgotten Battles --> Battle Over Europe --> Ace Expansion Pack

If you go this route, then next you may either:
1. Install the AEP update patches 2.01 and 2.04 (if you do not have Pacific Fighters) and then download and install the BOE "RAF" update for AEP; ~or~
2. Install Pacific Fighters as the 'merged' version, update PFm to the most current version and finally install Starshoy's PF_BOE update.

More information on the BOE updates can be found in this thread: http://forum.justflight.com/forum/topic.asp?TOPIC_ID=4561
In my post in that thread I've linked the sites where you can find the BOE updates plus other information that I hoped would be helpful.

There is a disadvantage to installing BOE before Pacific Fighters, however -- PF will overwrite the really nice US pilot roster pics from BOE with PF versions. This is easily avoided by copying the US folder in your DGen folder in the game's directory to a different location before installing Pacific Fighters. The same advice applies to the GB folder in DGen if you have previously installed the BOE update for AEP before Pacific Fighters; PF will overwrite the historic RAF portraits that come with the AEP_BOE update.

If you already have Ace Expansion or Pacific Fighters installed before you obtain BOE, you should still be able to install it to the version of FB/PF that you are currently playing. (I'm assuming that BOE doesn't force the included FB_1.22 update when installing iteself if you already have a higher version of Forgotten Battles installed, although I haven't personally tested this condition.) However, you should first take the precaution of making a backup copy of your DGen.exe program in your Forgotten Battles directory before you begin the BOE installation, as BOE contains an earlier version of DGen than AEP or PF. Then, simply install BOE and then the appropriate BOE update and then restore the version of DGen that you began with (unless the DGen.exe in your BOE update is a more recent version than your backup copy, of course).

<span class="ev_code_RED">Big Important Edit</span> -- February 19, 2006
BoE owners who are patched to PF v4.03m:
Get this compilation file that includes all of Starshoy's BoE updates; the BoE night skin update; Ian Boys' NW Europe DGen campaign for PF v4.02m; Starshoy's DGen.exe program 4.0.4.3; Ian Boys' DGen_4043_Upgrade campaigns; Gaston's Italian_Pack.zip; and Elephant's italian_pilots.zip.

http://forum.combatace.com/index.php?download=2032

Now newcomers can install BOE right over FB+AEP+PF v4.03m and finish off with this 'all-in-one' patch!

Skycat_2
01-18-2006, 12:45 AM
Originally posted by billclarke1:
When I reinstall after my monumental **** up with the patch's, it asks me to install direct X 7 or 8 I think, I already have 9, if I say no, will that matter ?

If you choose not to install DirectX 8 then Forgotten Battles will happily continue without overwriting the version of DirectX that you do have installed.

Skycat_2
01-18-2006, 12:52 AM
Originally posted by banestar:
When I try to start the game, it tells me it can't find the CD even though it's right there in the drive (I've tried with both the FB and PF discs). Ack! What's going on here??

Pacific Fighters will only operate off of Pacific Fighters disc #2, so using any other disc (including Forgotten Battles or AEP) won't work.

What you are experiencing sounds like a common problem that I believe is caused by anti-piracy measures that sometimes cause conflicts with CD-RW drives. Anyhow, UbiSoft has a replacement rts.dll file that may solve this problem for you. I believe that the rts.dll link on this page in the Community Help forum (http://forums.ubi.com/eve/forums/a/tpc/f/49310655/m/314103891) is for the file that will fix you up. Otherwise, the Community Help forum is a good next place to ask your question.

LAZarus{RAF}
01-25-2006, 11:42 AM
I just got AEP so installed PF as merged alreadyy had FB installed and patched ,ive installed all the patches (merged) but the splash screen doesn't show 4.02 still only shows 4.01 ive installed twice maybe i'll have to download 4.02 from another server and try again????

Corsair-D
01-25-2006, 09:27 PM
xmun2006, Your pc is probably overheating. Try buying more fans and mount them on processer heatsink. Or if your computer is overclocked, try undreclocking it. Mine did the same thing. The PC shuts itself down to save the processer from frying.

LAZarus{RAF}
01-26-2006, 12:35 PM
Problem solved downloaded 4.02 from another server

arctree1958
01-30-2006, 04:27 AM
Hi ya
I have just installed FB but can't for the life of me get Disk 2 to install. Tried all the usual things like `instal` on drop down menu from within the CD. The .exe just won't fire up! It's so frustrating. I considered unarching and doing it manually but there are laods of mp3`s that aren't named unless installed properly. Trouble is I can get FB going but parts are missing and so Aces doesn't work at all.

I want to fly online (MS FFedback2 Joystick) but can't!

Help? Please.....Any ideas?

Appologies if this is in the wrong forum.

Thanks

Sean

Skycat_2
01-31-2006, 12:30 AM
Originally posted by arctree1958:
Appologies if this is in the wrong forum.

Thanks

Sean
Try the Community Help (http://forums.ubi.com/eve/forums/a/frm/f/49310655) forum. That's where the technical stuff gets sorted.

PicTrigger
01-31-2006, 10:16 AM
Heh heh - OK, so what happens if, say, I installed PF (over FB+AEP) with only the 4.01m patch and the 4.02m update (without the303m patch) - am I screwed? Complete reinstall?

zombiewolf92553
01-31-2006, 06:53 PM
Originally posted by PicTrigger:
Heh heh - OK, so what happens if, say, I installed PF (over FB+AEP) with only the 4.01m patch and the 4.02m update (without the303m patch) - am I screwed? Complete reinstall?

If you do that Alice Cooper will come to your house and kill yor cat!

Skycat_2
01-31-2006, 09:29 PM
Originally posted by PicTrigger:
Heh heh - OK, so what happens if, say, I installed PF (over FB+AEP) with only the 4.01m patch and the 4.02m update (without the303m patch) - am I screwed? Complete reinstall?
I think you can resolve this by simply installing the correct sequence of patches starting with 3.03m. As long as you have the FB+AEP+PF discs installed properly you should be able to get away with a 'do-over' on the patches.

PicTrigger
02-04-2006, 09:43 AM
Yup, reinstalling the patches correctly seemed to work OK.

Vinn1987
02-11-2006, 03:24 PM
Could someone please help me with my game. I start the game then my desktop gets flipped upside down, mouse inverted,game is shown upside down, and the game runs really slow. If someone could please tell me how to fix this, that would be great.

Hemisent1955
02-17-2006, 04:10 PM
I've been away from ubi flight sims for well over a year.I've got the merged install still on my computer, DL'd & installed all the recent patches in order as recommended by this thread.
The 403m patch has been DL'd 4 times from all the listed sources but each time I run the exe patch I get the message "CRC failed in do13.sfs unexpected end of archive"

Anyone have any ideas about this?

JFC_Rainman
02-20-2006, 05:07 AM
S!

PF dedicated server files seems to be working from when downloaded from Ubi.com
How about merged version?
I am gonna establish dedicated server and if I download dedicated server files I can not get it running propoerly.
Could you kindly point out vwhat file should be installed 1st and then naturally patches in order.

Thanks

Rainman

Treesqueak
02-20-2006, 05:54 PM
Originally posted by Skycat_2:
<BLOCKQUOTE class="ip-ubbcode-quote"><div class="ip-ubbcode-quote-title">quote:</div><div class="ip-ubbcode-quote-content">Originally posted by Treesqueak:
You need to mention Battle over Europe, and where to install it in the list.


2. Install Pacific Fighters as the 'merged' version, update PFm to the most current version and finally install Starshoy's PF_BOE update.
</div></BLOCKQUOTE>

Where can I find the Starshoy PF_BOE update? The link to it in SimHQ is dead.

Thanks.

Mike

Skycat_2
02-20-2006, 08:07 PM
Treesqueak,

The most recent BoE update by Starshoy is BoE4.0 (http://www.il2center.com/BoE4.0.zip). I just downloaded it to test. It has all of Starshoy's earlier BoE DGen campaign updates included.

If you are patched to v4.03m and have BoE you might be better off downloading the BoE and DGen 4043 compilation zip (http://forum.combatace.com/index.php?download=2032) I've been updating over the last few days. I'm about to upload v3 of the compilation to that link. The compilation is a sequential build of:
1. Files from BOEupdate_AEP, PF-BOE and BoE4.0 updates by Starshoy;
2. BOE night Hurricane skin update;
3. NW Europe DGen campaign by Ian Boys for pf_v402m;
4. DGen.exe 4.0.4.3 by Starshoy;
5. DGen_4043_Upgrade by Ian Boys;
6. "Italian_Pack" w/speech files, medals, background and skins;
7. "italian_pilots" pack by Elephant;
8. Ju-88 campaigns (beta) by Amagi.
9. Updated with Final_Fix_1 for DGen_4043_Upgrade by Ian Boys.

The version I'm about to upload will be updated with:
1. DGen.exe v4.0.4.5 (this fixes the Mosquito VI campaign) ;
2. Ian Boys' Italian pilot names fix;
3. Amagi's revisions to his Ju-88 campaign fix;
4. Chameleon[red]'s Russian translations for the Italian campaign briefings; and
5. Rollnloop's improved French language briefings.

Treesqueak
02-20-2006, 09:23 PM
Originally posted by Skycat_2:
Treesqueak,

The most recent BoE update by Starshoy is BoE4.0 (http://www.il2center.com/BoE4.0.zip). I just downloaded it to test. It has all of Starshoy's earlier BoE DGen campaign updates included.

If you are patched to v3.04m and have BoE you might be better off downloading the BoE and DGen 4043 compilation zip (http://forum.combatace.com/index.php?download=2032) I've been updating over the last few days. I'm about to upload v3 of the compilation to that link. The compilation is a sequential build of:
1. Files from BOEupdate_AEP, PF-BOE and BoE4.0 updates by Starshoy;
2. BOE night Hurricane skin update;
3. NW Europe DGen campaign by Ian Boys for pf_v402m;
4. DGen.exe 4.0.4.3 by Starshoy;
5. DGen_4043_Upgrade by Ian Boys;
6. "Italian_Pack" w/speech files, medals, background and skins;
7. "italian_pilots" pack by Elephant;
8. Ju-88 campaigns (beta) by Amagi.
9. Updated with Final_Fix_1 for DGen_4043_Upgrade by Ian Boys.

The version I'm about to upload will be updated with:
1. DGen.exe v4.0.4.5 (this fixes the Mosquito VI campaign) ;
2. Ian Boys' Italian pilot names fix;
3. Amagi's revisions to his Ju-88 campaign fix;
4. Chameleon[red]'s Russian translations for the Italian campaign briefings; and
5. Rollnloop's improved French language briefings.

Thanks Skycat. http://forums.ubi.com/images/smilies/11.gif
I tried the link in SimHQ but it wouldn't work even though it linked to il2center.com. The file has a / instead of a \, that's why it wouldn't work.

Mike http://forums.ubi.com/images/smilies/typing.gif

Skycat_2
02-20-2006, 09:34 PM
I meant 4.03m up above in my post, Treesqueak. The numbers got all mixed up under my fingers. http://forums.ubi.com/groupee_common/emoticons/icon_smile.gif I hope you've gotten your BoE update sorted.

The 4043/BoE4.0 compilation .zip is uploading right now.

Treesqueak
02-20-2006, 09:57 PM
Skycat,

How would you install the various patches? This is the way I'm thinking of doing it much of it you suggested.

1. FB
2. BoE
3. AEP + patches
5. BoE RAF update
6. PF + patches
7. BoE & DGen compilation

Mike http://forums.ubi.com/images/smilies/784.gif

Skycat_2
02-20-2006, 10:56 PM
You don't need the official AEP patches if you install PF over AEP. Also, with the compilation zip you won't need the BOE RAF update either.

I suggest:
- Forgotten Battles;
- Battle over Europe;
- Ace Expansion Pack;
- ( BoEUpgrade_AEP is optional if you use the compilation I linked.)
- Pacific Fighters;
- Pf_v303m, pf_v401m, pf_v402m and pf_403m patches; and finally
- The DGen4043+BoE4.0-update_combined.zip.

You should even be able to install BoE after FB+AEP+PF if necessary as long as you finish with the DGen4043+BoE4.0-update_combined.zip. The BoE pilot portraits and all campaign updates are in the zip, plus it has the most recent DGen.exe.

Treesqueak
02-21-2006, 12:23 AM
Originally posted by Skycat_2:
You don't need the official AEP patches if you install PF over AEP. Also, with the compilation zip you won't need the BOE RAF update either.

I suggest:
- Forgotten Battles;
- Battle over Europe;
- Ace Expansion Pack;
- ( BoEUpgrade_AEP is optional if you use the compilation I linked.)
- Pacific Fighters;
- Pf_v303m, pf_v401m, pf_v402m and pf_403m patches; and finally
- The DGen4043+BoE4.0-update_combined.zip.

You should even be able to install BoE after FB+AEP+PF if necessary as long as you finish with the DGen4043+BoE4.0-update_combined.zip. The BoE pilot portraits and all campaign updates are in the zip, plus it has the most recent DGen.exe.

Thanks. I guess the AEP patches are included in PF then? Didn't realise this if so.

Mike http://forums.ubi.com/images/smilies/784.gif

KronikAlkoholik
02-21-2006, 07:52 AM
Originally posted by JFC_Rainman:
S!

PF dedicated server files seems to be working from when downloaded from Ubi.com
How about merged version?
I am gonna establish dedicated server and if I download dedicated server files I can not get it running propoerly.
Could you kindly point out vwhat file should be installed 1st and then naturally patches in order.

Thanks

Rainman

I also need answers to that question. Anyone have them?

AFJ_Locust
02-25-2006, 12:01 PM
THIS MUST BE A STICKY

nivea1981
03-03-2006, 04:05 PM
tully exscuse me, a question for you. i've got il2fb+aep+pf, after have installed all the patches in the correct oredr, i've noticed that in the catalogue of the planes there are not the italian planes, the mustang and the hurricane, and even the italian campain. i repeat, i've got all the patches, from 3.01m, to 4.04m. but when i play with HL, the planes are present. please help me, what do i've to do?

El Turo
03-03-2006, 05:24 PM
For the love of God, get rid of those damned 3dgamers links. What a frustrating cluster-F of ad-spamming, no-downloading **** services.

GAAAAHHHH!!! (can you tell I'm pissed?)

Anyway.. here's the direct download that took me a couple minutes after fighting with 3Dgamers for about an hour in attempting to download the last stupid patch (been gone a while, just reinstalling IL2 now.. weee!)

http://www.ubi.com/US/Downloads/Info.aspx?dlId=744

MB-BOB
03-04-2006, 03:14 PM
Originally posted by JFC_Rainman:
S!

PF dedicated server files seems to be working from when downloaded from Ubi.com
How about merged version?
I am gonna establish dedicated server and if I download dedicated server files I can not get it running propoerly.
Could you kindly point out vwhat file should be installed 1st and then naturally patches in order.

Thanks

Rainman Yes, indeed, when I attempt to d-load 4.04 (merged) from the UBI.COM link (the only set of links I will use). I am offered to d-load "pf_dedicated_server_v404m.exe." I don't care at all about downloading the "dedicated server" version of the patch, only the standalone "merged" version.

Is this link a mistake? It certainly appears to be mis-labelled. Where can we find 4.04m only?

Tully__
03-04-2006, 10:06 PM
Originally posted by MB-BOB:
Yes, indeed, when I attempt to d-load 4.04 (merged) from the UBI.COM link (the only set of links I will use). I am offered to d-load "pf_dedicated_server_v404m.exe." I don't care at all about downloading the "dedicated server" version of the patch, only the standalone "merged" version.

Is this link a mistake? It certainly appears to be mis-labelled. Where can we find 4.04m only?
New links in the first post of this thread.

MB-BOB
03-05-2006, 09:23 AM
Tully, thanks for the heads-up on the revised links. It directs to the right file, now.

Can anyone confirm what mess-up has occurred with the Do-335 in the 4.04 patch. On the paint forum, they're saying the plane has been removed, which I find hard to believe. I really DON'T want to install this patch until I understand the truth on this issue. The D0-335 is really fun to fly in 4.03.

Skycat_2
03-05-2006, 01:06 PM
I have a Do-335 in 4.04m. The patch even says that the landing gear lights were fixed although people say they are still reversed.

I just remembered that in the standalone PF 4.03 patch there was a plane that was erroneously included in the menu but was not available to standalone players; selecting it would cause the game to lock up or CTD or something. It wasn't intended to be included at all, in other words. It may have been the Do-335 and the 4.04 patch fixed that in standalone game.

Treesqueak
03-09-2006, 05:22 PM
[QUOTE]Originally posted by Skycat_2:
You don't need the official AEP patches if you install PF over AEP. [QUOTE]

Are the AEP patches included when PF is installed? I didn't find anything in the readme file.

Mike http://forums.ubi.com/images/smilies/784.gif

Skycat_2
03-10-2006, 11:08 PM
The update material from AEP patches 2.01 and 2.04 is included in the "Pacific Fighters" 3.0m (FB+AEP+PF) install option.

freeway43x
03-12-2006, 01:02 PM
I've done the FB-AEP-PF install in the correct order and I'll start the patches next. My question is, after installing PF the program won't start; it's giving me a pop-up saying emulation or virtual drive software is detected, disable it and re-start. I did have Alcohol 120 (reg'd) on this hard drive so I removed it and dismounted my virtual drives but I'm still getting this message.
Will the patches take care of this?

Skycat_2
03-12-2006, 08:44 PM
Freeway43x,

See the UbiSoft Customer Solution Center link in my signature.

freeway43x
03-12-2006, 09:52 PM
Thanks Skycat. I'm up and running.

The_Red_Baron.
04-04-2006, 02:49 AM
Tully

iv only got fb and ace and iv downloded paches v2.01 and v.2.04 are they the only pachers i need to play online?

Skycat_2
04-04-2006, 11:05 AM
Yes.

You'll only be able to fly with other players who are using FB+AEP at v2.04 though ... which is only a small percent of the overall population of FB/PF players. PF installed as 'merged' plus its five patches will give you access to a much larger body of online players.

Rammjaeger
04-04-2006, 07:33 PM
Will there be further patches released for AEP standalone or was 2.04 the last one?

Skycat_2
04-04-2006, 08:32 PM
No. Never. Whenever a new expansion is released, patch support for the previous combo ends ... for example, when AEP was released the patch support for plain FB ended.

And after the Pe-2 addon is released I doubt that there will be any more patches released for FB+AEP+PF (or the DVD version) for those who do not have Pe-2.

shipmodelmaker
04-17-2006, 05:00 AM
Tully,
I have the IL2 Sturmovik, the Forgotten Battle Gold Pack, which includes the AEP, and the Pacific Fighters.....
I want to follow your directions, but, when I put the PF CD in,
the option to install over the others is grayed out.....
I can only install it standalone.....
Is there any way I can change the grayed out condition?
Thanks,
Jerry G (Glickstein)
P.s.
I haver tried a number of times....

anasteksi
04-25-2006, 09:16 AM
i've got 4.04m now and i'd like to install battle over europe. What should i do? Install boe and it's newest patch?

YOURMOM_.
04-28-2006, 11:53 AM
i am haveing problems with your 4.02m link i dont know if the server is down or what so should i just download it off of the updates page?

Skycat_2
05-02-2006, 02:11 PM
Originally posted by anasteksi:
i've got 4.04m now and i'd like to install battle over europe. What should i do?
Install BOE over 4.04m and then add the files from this zip (http://forum.combatace.com/index.php?download=2032).

slipBall
06-20-2006, 10:15 AM
Mod's could you sticky, the one in PF is not complete as this one. Contains original il2 patches. You could close the topic, and purge. Thanks, you guys are the best

Tully__
08-22-2006, 04:45 AM
Bump

philredfern
09-02-2006, 05:07 AM
Hi Tully I need help I hav ill2 fb ace expansion pack all patched to 1.22.All is well
However when I put on PF and all the patches I seem to be unable to play any online games as none seems to be compatable.The game starts up and runs offline (if I leave the disc out of the drive and then insert them when it requests them..leaving them in all the time and the game wont run!)..no worries I can live with that but I really would like to be able to play the merged online games. Do I need to take the lot off then do the patching only of PF or is there a way out of this mess?
)

joeyspam
09-04-2006, 09:47 AM
Ok i patched up to version 4.04. I have FB + Ace + PF merged into one install.
I used the links above and patched using the links under the merged install.
I start the game and it displays v4.04 but when i go to join a server it says it is using v4.04m. What is going on? I used the merged patches but it doesn't work.
Somebody please help!

slipBall
09-04-2006, 01:23 PM
I would do it all over again http://forums.ubi.com/images/smilies/compsmash.gif

joeyspam
09-08-2006, 09:14 PM
Problem solved.
Apparently there is a problem with the 3.03m patch link provided in this forum. Don't download it or you will have to start from the beginning which is no fun. Instead get it from Filefront at link...

(http://files.filefront.com/SEARCH/;3775662;;/fileinfo.html)

They have the 3.03m patch working and in tact. All other merged patches (4.01m and so on) from ubi seem to work fine. Just avoid ubi's 3.03m at all cost!

GAU-8
09-09-2006, 03:27 AM
joey, you are correct.

its FUBAR'd. im surprised they havent corrected this yet.

<span class="ev_code_RED">DO NOT USE THE 3.03m PATCH download on this site! </span>

all of the other patches work, EXCEPT the "3.03m" that is listed at the top of the thread .

go to another download site and grab it from there. any other download files here are good though.

BG_Boy
09-09-2006, 10:49 AM
I know I'm annoying, but I'm unfit to cope with my problem. I have PF+FB+AEP and patches 303m a 303to304m installed. What else Must I download to play online? Do I need dedicated server?
Thansk for understand.

XyZspineZyX
10-20-2006, 01:27 PM
I am a FS simmer of many years who at age 51 has decided he too can have a bit of fun. PLEASE excuse a noob request here, but I have spent an hour going through the patch update maze and I believe I'm just a bit too simple minded to "get it".

Today I received IL2 Gold Pack which includes AEP. I also have on order, but not due for delivery until mid next week ) Pacific Fighters. I am hoping I can load up the IL2FB and patch it today to get started up the learning curve.

What do I need to download to put on top of the Gold Pack?

Should I hold off (as difficult as it may be) instaling IL2FB Gold Pack until I have PF in hand, then install all three? If I go this route what files do I need and what order do I load them in.

I have visions of having to install 10 patches and firing up the program after everyone.

PLEASE PLEASE PLEASE someone have a kind heart and help this noooob out. It would be VERY much appreciated. It's then off to Joint Ops for December flight training.

Cheers!

Tightass AKA "Oldsalt"

XyZspineZyX
10-21-2006, 10:23 AM
Tully,

I see why "Your Da Man". THANK YOU for taking to the time to make it short and concise. I will tinker, tweak and enjoy FB and ACE until PF arrives next week and then start with 303m and install all to 404m. I think I remember the suggestion of firing up the game afer all five install to ensure loading and correct version take. Would yuu agree?

Thanks Again,

Tightass AKA Oldsalt

XyZspineZyX
10-21-2006, 10:23 AM
Originally posted by tightass:
What do I need to download to put on top of the Gold Pack?

Usually best results can be had by installing the next version over a clean (unpatched) current version. What I'd suggest is install the Gold Pack (all three CD's) to bring you up to v2.0 then copy the entire game folder. Leave the original install untouched for when your Pacific Fighters discs arrive and apply the AEP patches to the copied folder. Create a new desktop icon for the il2fb.exe in the copied folder and play from there until your PF arrives.

Correct patches for an AEP install are:

If you have Ace Expansion pack, install it over any version of FB. Then you will need:
- il2_aep_v2.01.exe
- il2_aep_v2.04.exe
Links in the first post in this thread.

Once PF arrives, install it over the clean AEP install and add the PF merged version patches:

If you have Pacific Fighters and you want to install over FB+AEP (you need both), you can install over v2.0, 2.01 or 2.04. Then you will need:
- pf_v303m.exe (100 Mb; goes over v3.0m)
- pf_v401m.exe
- pf_v402m.exe
- pf_403m.exe
- pf_404m.exe
Again, links in the first post in this thread.<div class="ev_tpc_signature">

<center>
http://jennirivers.actewagl.net.au/sig.jpg
SST X-45 profile (http://jennirivers.actewagl.net.au/fb.zip) | SST X-52 Profile (http://jennirivers.actewagl.net.au/fbx52.zip) | Joysticks & IL2/FB/PF (http://www.airwarfare.com/tech/sticks.htm) | IL2Sticks Utility (http://www.airwarfare.com/Sims/FB/fb_essential_files.htm#087)
Maddox Forums Moderator</center>

ubermoc916
10-21-2006, 11:28 AM
Ok I haven?t played il2 in like 1 year maybe more. (Because of Katrina lost everything and all my il2 cds)So a friend sent me everything up to aep. But I need to get pf I guess. I just want to play online. And I see another add on came out pe-2. Do I need that too? And I read there?s a whole DVD now with everything on one cd? If so where can I by it if I do go that route in English? (I really don?t want to buy the game again because im still not doing to well and don?t really have the money) I just might play Aep single player but that?s boring vs computer :?(

Tully__
10-21-2006, 05:53 PM
Originally posted by ubermoc916:
Ok I haven?t played il2 in like 1 year maybe more. (Because of Katrina lost everything and all my il2 cds)So a friend sent me everything up to aep. But I need to get pf I guess. I just want to play online. And I see another add on came out pe-2. Do I need that too? And I read there?s a whole DVD now with everything on one cd? If so where can I by it if I do go that route in English? (I really don?t want to buy the game again because im still not doing to well and don?t really have the money) I just might play Aep single player but that?s boring vs computer :?(

For the complete DVD (up to v4.04m on one disc) go to http://www.gogamer.com/ if you're in North America. If you wait a month or so there'll be another DVD along that will take you to 4.07m in a single installation but US release info is not yet available for that one so you'd have to source it from abroad.<div class="ev_tpc_signature">

<center>
http://jennirivers.actewagl.net.au/sig.jpg
SST X-45 profile (http://jennirivers.actewagl.net.au/fb.zip) | SST X-52 Profile (http://jennirivers.actewagl.net.au/fbx52.zip) | Joysticks & IL2/FB/PF (http://www.airwarfare.com/tech/sticks.htm) | IL2Sticks Utility (http://www.airwarfare.com/Sims/FB/fb_essential_files.htm#087)
Maddox Forums Moderator</center>

pcff
06-08-2007, 04:53 PM
i cant play pf with hyper loby it wont leyt me i get connect to host failed reson:*timeout*

Aviar
07-17-2007, 04:37 PM
Is Tully still around?

The first post in this thread needs to be updated with patching info regarding the 1946 DVD.

Almost every day I see newbie's in HL asking how and where to patch their 1946 DVD.

I used to give them the link to this thread, but I just noticed that there is no info here about 1946.

Aviar

FlashGordon852
02-05-2009, 01:33 PM
cant you just download 4.05 for stand alone with out the dvd cause i dont wont another game altogether!

Urufu_Shinjiro
02-05-2009, 01:47 PM
Originally posted by FlashGordon852:
cant you just download 4.05 for stand alone with out the dvd cause i dont wont another game altogether!

Well you could but it will cost the same or more as il2:1946, which can be had for $9 from Direct2Drive. 4.05 was the PE-8 expansion and is a payed addon. If you're interested in playing online you'll need 1946 to be compatible with 99% of the online players.

juledj77
08-14-2009, 04:42 AM
Hi there!

i was cleaning upp mine garage and quess what i have the 1946 version i must have hade itt on christmas a few years ago http://forums.ubi.com/images/smilies/34.gif i am a little stuck with the update from 4.7 to 4.8 is there any tricks to do this?

thanks for feedback and greets from norway

scaredycat1
08-14-2009, 08:03 AM
Just dl and install this patch.

http://mission4today.com/index...file=details&id=1908 (http://mission4today.com/index.php?name=Downloads&file=details&id=1908)

juledj77
08-15-2009, 04:04 AM
thanks http://forums.ubi.com/images/smilies/halo.gif

BlackKross
01-24-2010, 03:05 PM
Dowloaded stand alone for PF, but nothing has happened in the game play, and FB+AEP no longer will open

what went wrong?

oldwigg
04-22-2010, 12:27 PM
I do not follow the instructions in the IL2 and Pacific Fighters patch installation downloads. I would like to merge these two games. Do I have to upgrade my IL@ with the 3 patches and then instal PF into that IL@ installed game and then install the PF "M" patches into the installed game?? Please be more explicit to an old man.
Thanks - Bill

Heliopause
04-22-2010, 12:37 PM
Hello oldwigg,

It's probably best to buy IL-2 1946 (This has Forgotten battles/Pacific fighters in it).
Then all you need is patch 4.08 and 4.09 and you're up-to-date. This is what most players have.

Jumoschwanz
04-28-2010, 10:48 AM
Originally posted by Heliopause:
Hello oldwigg,

It's probably best to buy IL-2 1946 (This has Forgotten battles/Pacific fighters in it).
Then all you need is patch 4.08 and 4.09 and you're up-to-date. This is what most players have.

I agree 100% with this, and then after you have the sim installed and patched up to present, back the whole thing up on a DVD. You can get it all onto a dual-layer, or you can put the SKINS on one standard single-layer DVD and the rest of the sim on another.

That way if you get a new pc or your something bad happens, all you have to do is to copy the whole shebang back onto your hard drive off the discs, make a shortcut to it's "executable" on your desktop and you are back in business in minutes....

wheelsup_cavu
03-23-2016, 09:18 PM
The links should be checked again.
The ftp links take you to a 403 forbidden page, and have for quite some time. :(
The "need" links take you nowhere also. I think they used to be linked to customer support articles that got moved when they changed the support layout.
The 409b1m link takes you to a deactivated download at M4T. Even though it is obsolete the patch It is still available for now at GameFront
http://www.gamefront.com/files/13353434/Sturmovik__1946_Official_Beta_v409b1m_Patch

There are probably more that are broken but those were what I found with a quick check.


Wheels